import { PegasusUtility } from "./pegasus-utility.js";

export const defaultItemImg = {
  skill: "systems/fvtt-pegasus-rpg/images/icons/icon_skill.webp",
  advantage: "systems/fvtt-pegasus-rpg/images/icons/icon_advantage.webp",
  disadvantage: "systems/fvtt-pegasus-rpg/images/icons/icon_disadvantage.webp",
  technique: "systems/fvtt-pegasus-rpg/images/icons/icon_technique.webp",
  armor: "systems/fvtt-pegasus-rpg/images/icons/icon_armor.webp",
  art: "systems/fvtt-pegasus-rpg/icons/images/icon_art.webp",
  weapon: "systems/fvtt-pegasus-rpg/images/icons/icon_weapon.webp",
  equipment: "systems/fvtt-pegasus-rpg/images/icons/icon_equipment.webp",
  style: "systems/fvtt-pegasus-rpg/images/icons/icon_style.webp",
}

/**
 * Extend the basic ItemSheet with some very simple modifications
 * @extends {ItemSheet}
 */
export class PegasusItem extends Item {

  constructor(data, context) {
    if (!data.img) {
      data.img = defaultItemImg[data.type];
    }
    super(data, context);
  }

}
